> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# 080受信拒否の登録を一覧取得する

> 080受信拒否サービスに登録された送信先を一覧取得します。



## OpenAPI

````yaml /ja/api-reference/openapi.yaml get /projects/{projectId}/messages/text-message/blockservice/recipients
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly APIサーバー
security: []
tags:
  - name: catalog
    x-group: カタログ
paths:
  /projects/{projectId}/messages/text-message/blockservice/recipients:
    get:
      summary: list-080-block-recipients
      operationId: list080BlockRecipients
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: プロジェクトIDです。
        - name: unsubscribeNo
          in: query
          required: true
          schema:
            type: string
          description: 080受信拒否番号です。最大25文字です。
        - name: recipientNo
          in: query
          required: false
          schema:
            type: string
          description: 受信拒否を申し込んだ電話番号です。最大25文字です。
        - name: startRequestDate
          in: query
          required: false
          schema:
            type: string
          description: 受信拒否リクエストを検索する期間の開始日時です。`yyyy-MM-dd HH:mm:ss`形式で指定します。
        - name: endRequestDate
          in: query
          required: false
          schema:
            type: string
          description: 受信拒否リクエストを検索する期間の終了日時です。`yyyy-MM-dd HH:mm:ss`形式で指定します。
        - name: pageNum
          in: query
          required: false
          schema:
            type: integer
            default: 1
          description: ページ番号です。
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            default: 15
            maximum: 1000
          description: 取得件数です。
      responses:
        '200':
          description: 受信拒否の登録を取得しました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  pageNum:
                    type: integer
                  pageSize:
                    type: integer
                  totalCount:
                    type: integer
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        unsubscribeNo:
                          type: string
                        recipientNo:
                          type: string
                        requestDate:
                          type: string
              example:
                pageNum: 1
                pageSize: 15
                totalCount: 1
                data:
                  - unsubscribeNo: '0808888888'
                    recipientNo: '01000000000'
                    requestDate: '2018-05-14 17:07:29.0'
                  - unsubscribeNo: '0808888888'
                    recipientNo: '010012341234'
                    requestDate: '2018-05-14 17:07:29.0'
        '400':
          description: リクエスト本文の形式が不正です。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
        '401':
          description: トークンが無効か期限切れのため、認証に失敗しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
        '500':
          description: サーバー内部エラーです。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    SimpleErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: エラーメッセージ
      example:
        error: some-error-message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '`POST /authenticate`で発行したトークンをBearer形式で送信します。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.